LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06871Bug reports[All Projects] Accessibilitypublic2012-11-14 13:272012-11-18 18:51
Reportervtol 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.00+ 
Summary06871: auth_webserver_autocreate_user does't work
DescriptionFILE: application/core/UserIdentity.php:99

    $aTemplates=explode(",",$aUserProfile['templatelist']);
                    foreach ($arrayTemplates as $sTemplateName)

$arrayTemplates has to be $aTemplates!!!
Steps To ReproduceFILE: application/core/UserIdentity.php:99

 if ($oUser->save())
                {
                    $aTemplates=explode(",",$aUserProfile['templatelist']);
                    foreach ($aTemplates as $sTemplateName)
                    {
                        $oRecord=new Templates_rights;
I will donate to the project if issue is resolved within 48 hrs
LimeSurvey build number OR git commit ID121115
Browser
Database & DB-Version
Operating System (Server)
Webserver software & version
PHP Version
Attached Files

- Relationships

-  Notes
User avatar (22279)
mdekker (developer)
2012-11-16 15:25

Related to https://github.com/LimeSurvey/LimeSurvey/commit/22242733903e04858608bf6910e8b85bbbfb77c3#application/core/UserIdentity.php [^]
User avatar (22286)
c_schmitz (administrator)
2012-11-16 16:42

Thank you.
User avatar (22287)
c_schmitz (administrator)
2012-11-16 16:42

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10335 [^]
User avatar (22306)
c_schmitz (administrator)
2012-11-18 18:51

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10349 [^]

- Related Changesets
LimeSurvey: master 336f0994
Timestamp: 2012-11-16 15:42:34
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06871: auth_webserver_autocreate_user doesn't work
mod - application/core/UserIdentity.php Diff ] File ]
LimeSurvey: 2.1 76b65b59
Timestamp: 2012-11-16 15:42:34
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06871: auth_webserver_autocreate_user doesn't work
mod - application/core/UserIdentity.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-14 13:27 vtol New Issue
2012-11-16 14:37 mdekker Project User patches => Bug reports
2012-11-16 14:37 mdekker Category Survey at runtime => Other issues
2012-11-16 15:24 mdekker Assigned To => c_schmitz
2012-11-16 15:24 mdekker Status new => assigned
2012-11-16 15:25 mdekker Note Added: 22279
2012-11-16 16:42 c_schmitz Note Added: 22286
2012-11-16 16:42 c_schmitz Status assigned => resolved
2012-11-16 16:42 c_schmitz Fixed in Version => 2.00+
2012-11-16 16:42 c_schmitz Resolution open => fixed
2012-11-16 16:42 c_schmitz Changeset attached => LimeSurvey master 336f0994
2012-11-16 16:42 c_schmitz Note Added: 22287
2012-11-16 16:43 c_schmitz Priority urgent => normal
2012-11-16 16:43 c_schmitz Category Other issues => Accessibility
2012-11-16 16:43 c_schmitz Product Version 2.00a =>
2012-11-16 21:48 c_schmitz Status resolved => closed
2012-11-18 18:51 c_schmitz Changeset attached => LimeSurvey 2.1 76b65b59
2012-11-18 18:51 c_schmitz Note Added: 22306


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker